Subject: Re: [PATCH 2/2] core.fsyncobjectfiles: batch disk flushes

From: Junio C Hamano <[email-masked]>
Date: Wed, 25 Aug 2021 14:26:49 -0700

Johannes Schindelin <[email-masked]> writes:

> It makes sense, but I would recommend using a more easily explained value
> than `2`. Maybe `delayed`? Or `bulk` or `batched`?

While we have less than 100% confidence in the implementation, it
may make sense to have such a knob to choose between "do we fsync
the old, known-safe but slow way, or do we fsync in batch"
behaviours, and I agree that the knob should not be called cryptic
"2".

But in a distant future when this new way of flushing proves to be
stable, it would make sense if the enw behaviour were triggered by
the plain vanilla 'true', no?  In a sense, running fsync in a batch
(or using syncfs) is an implementation detail of "we sync after
writing out object files and before declaring success".

Thanks.